.blog-block {padding: 60px 0;}
.blog-block .container {row-gap: 35px;}
.blog-block .container .row:nth-child(2) {row-gap: 35px;}
.blog-block .intro {row-gap: 35px;}
.blog-block .intro .heading {font-size: 40px; line-height: 1.1; font-weight: 700; margin: 0; padding: 0; text-align: center;}
.blog-block .intro p {margin: 0; padding: 0; text-align: center; color: var(--four-light);}
.blog-block .intro p:after {height: 3px; content: ''; width: 70px; background-color: var(--two);  display: block; margin: auto; margin-top: 35px; top: 100%; display: table; left: 0; right: 0;}
.blog-block .single-post {background: var(--zero); box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.1); }
.blog-block .single-post a {display: block;}
.blog-block .single-post a img.featured-img {display: block; width: 100%; height: 235px; object-fit: cover;}
.blog-block .single-post .details {display: flex; padding: 15px; flex-direction: column; gap: 15px;}
.blog-block .single-post .details .author-time {display: flex; justify-content: space-between;}
.blog-block .single-post .details .author-time .author {display: flex; font-size: 12px; align-items: center; gap: 10px;}
.blog-block .single-post .details .author-time .author a {line-height: 1.1; color: var(--four);}
.blog-block .single-post .details .author-time .author a:hover {opacity: 0.8;}
.blog-block .single-post .details .author-time .avatar-img {width: 37px; height: 37px; }
.blog-block .single-post .details .author-time .time {display: flex; flex-direction: column; font-size: 12px; justify-content: center;}
.blog-block .single-post .details .author-time .time .date {display: flex; gap: 15px; white-space: nowrap; line-height: 1; color: var(--four-lighter); justify-content: end;}
.blog-block .single-post .details .author-time .time .date svg {min-width: 10px; min-height: 10px; width: 10px; height: 10px;}
.blog-block .single-post .details .author-time .time .date svg * {fill: var(--four-lighter);}
.blog-block .single-post .details .title {font-size: 24px; color: var(--four-light);}
.blog-block .single-post .details .title:hover {opacity: 0.8;}
.blog-block .single-post .details .excerpt p {color: var(--four-light); margin: 0; padding: 0;}
.blog-block .single-post .details .read-more {padding: 8px 35px;  background-color: var(--two); color: var(--zero); font-weight: bold; width: fit-content; font-size: 14px;}
.blog-block .single-post .details .read-more:hover {background-color: var(--two-dark);}
.blog-block .button {display: flex; width: fit-content; padding: 15px 40px; background-color: transparent; color: var(--three);  border: solid 1px var(--three);}
.blog-block .button:hover {border: solid 1px var(--two); color: var(--two); background-color: transparent;}

body.ks-rounding-light .blog-block .single-post {border-radius: 8px; overflow: hidden;}
body.ks-rounding-strong .blog-block .single-post {border-radius: 32px; overflow: hidden;}
body.ks-rounding-light .blog-block .single-post .details .read-more {border-radius: 8px;}
body.ks-rounding-strong .blog-block .single-post .details .read-more {border-radius: 32px;}
body.ks-rounding-light .blog-block .button {border-radius: 8px;}
body.ks-rounding-strong .blog-block .button {border-radius: 32px;}